package org.jboss.tools.example.springmvc.mvc;

 import java.math.BigDecimal;

import org.jboss.tools.example.springmvc.payment.PaymentProcessor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
@RequestMapping(value="/pay")
public class PaymentController
{
    @Autowired
    private PaymentProcessor paymentProcessor;

    @RequestMapping(method=RequestMethod.GET)
    public String displaySortedMembers(Model model)
    {
    	long accountId = 1l;
    	
    	BigDecimal amount = new BigDecimal(1234234);
		paymentProcessor.processPayment(accountId, amount);
    	
        return "index";
    }

   
}
