package org.jboss.tools.example.springmvc.payment;

import java.math.BigDecimal;
import java.sql.Date;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jboss.tools.example.springmvc.domain.entity.Account;
import org.jboss.tools.example.springmvc.domain.entity.Balance;
import org.jboss.tools.example.springmvc.domain.entity.Payment;
import org.jboss.tools.example.springmvc.messaging.PaymentTrigger;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
public class PaymentProcessorImpl implements PaymentProcessor
{
	   private static final Log LOG = LogFactory.getLog(PaymentProcessorImpl.class);

 
   @Transactional
   public String processPayment(Long accountId, BigDecimal amount)
   {
	   
	   	LOG.info("PAYMENT EXIST : ACCOUNT ID: " + accountId);
	   
	   	String message = "PAYMENT Exitst ; " + accountId;
	      return message;
   }
}