package org.jboss.tools.example.springmvc.domain.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Embeddable;

@Embeddable
public class Balance implements Serializable
{

   private BigDecimal amount;

   public BigDecimal getAmount()
   {
      return amount;
   }

   public void setAmount(BigDecimal amount)
   {
      this.amount = amount;
   }

   public void credit(BigDecimal amount)
   {
      this.amount = this.amount.subtract(amount);
   }

   public void debit(BigDecimal amount)
   {
      this.amount = this.amount.add(amount);
   }
}
